Skip to main content
POST
Create journal entry (draft)

Authorizations

X-API-Key
string
header
required

Integration API Key (Integrations → New Integration).

Body

application/json
branch_id
string<uuid>
required
entry_date
string<date>
required

Must have an OPEN period.

description
string
required
details
object[]
required
Required array length: 2 - 200 elements
entry_type
string

Code of an active journal entry type of the business (GET /accounting/entry-types). Without entry_type or entry_type_id, the type configured for the external API is used (DIA if none).

Maximum string length: 20
entry_type_id
string<uuid>

ID of an active journal entry type of the business (alternative to entry_type).

external_reference
string

Reference in your system.

Response

Journal entry created